Page MenuHomePhabricator

Tools for smaller wikis, your favorite cup of tea, and the weather!
Closed, ResolvedPublic

Description

Link to Google Hangout video call: https://meet.google.com/qtf-xneu-yud?hs=122

This is a group to support small wiki communities: Learn and share technical skills to support, maintain, and grow your community.

Let's get together, discuss, brainstorm, ask, have a tea. https://meta.wikimedia.org/wiki/Small_wiki_toolkits

Saturday, May 9, 2020, 15:00 UTC - see https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2020/Remote_Hackathon

Notes copied from https://etherpad.wikimedia.org/p/Tools_for_smaller_wikis

  • small introduction round (~30 seconds, keep it short!): Potential ideas: who's here, your main wiki/community, interest in the topic, your favourite tea, your favorite weather? (either talk, or write in the chat, or just wave :)
    • show how to raise a hand in the Google sidebar chat
    • watch in parallel Google sidebar chat + IRC/Telegram chat (#wmhack)
    • Andre/BIrgit will take notes in this Etherpad, everyone is welcome to help :-)
  • short summary/overview (The idea behind; the areas and status)
  • Open discussion about technical difficulties you face in your community, etc? (max 50% of discussion time)
  • More input and ideas what we should do? Any tips you could share about documentation, workshops, ...? (max 50 % of discussion time)

Who's here?

  • 13 people
  • People from different wikis
  • Interested in good tools for smaller wikis; learning how to grow a wiki; tools for wikitech?; better/easier docs to set up things on new wikis; interested in what this session is about;
  • Favourite teas: green tea, black tea, cinnamon + apple flavored black tea ... :-)
  • Favourite weathers: Rain! (multiple mentions); hot + cold ...

Intro on the project

  • Idea behind the project: Support smaller wikis in growing technical capacity; Share knowledge better, create a network for helping each other, recommendations what to use (because so many templates and gadgets). We have overview pages, but they do not tell you "This is easy to install" or "This is maintained". Also coming up with trainings, tutorials, workshop, ...
    • Current project: "starter kit" -> covers areas like abuse filter, improve the frontpage of a wiki to make it look good on smaller screens etc, templates/modules, gadgets, tools
  • Question: Why do we recommend stuff instead of importing it for them?

Technical difficulties?

Input, ideas, tips?

  • Forms to use QuickStatements for Wikidata; improve workflows (check documentation for that, potentially link? - covid-obit.toolforge.org )
  • https://en.wikipedia.org/wiki/Wikipedia:The_Wikipedia_Adventure
    • We can create step by step adventures for small wiki toolkits, like installation of userscripts?
    • In WP adventure, all the things are automated. like pre filled text in the text area.
    • Many people might not be comfortable using Phabricator. Maybe good to have a proxy, like people who collect issues onwiki, and then go to Phabricator as representatives of the community the issue came up with.
    • Re: Some communities have this, more likely more a problem in smaller wikis.
    • Hope is that the video might help with this
  • Maybe in the long-term future, members of this network could also help a bit to proxy and report things to Phab?

Notes by RhinosF1 (will be on IRC)

  • How can we reduce complexity of templates on enwiki or make easier versions for small wikis to use (reduce dependenices on too many other templates/modules) ?
  • Can we make the toolkit easily adaptable and usable for non-wikimedia wikis?
  • Could we create a startup pack of templates etc that users can import to new wikis ?
    • rhinosf1 - open a task about ^ and will work on one for infoboxes and maybe some of the gadgets like hotcat: T252369
  • Regarding, better / easier docs for setting things up- maybe we could have a starter pack that someone could import into the wiki that could get things like infoboxes working with minimal setup + then a customisation guide.
    • rhinosf1 will look into ^

Details

Due Date
May 9 2020, 6:00 PM

Event Timeline

Aklapper triaged this task as Medium priority.May 5 2020, 11:55 AM
Aklapper created this task.
Aklapper set Due Date to May 9 2020, 6:00 PM.May 5 2020, 12:32 PM
Aklapper updated the task description. (Show Details)May 5 2020, 3:28 PM
Zack added a subscriber: Zack.May 5 2020, 5:11 PM
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptMay 5 2020, 5:11 PM
Aklapper updated the task description. (Show Details)May 6 2020, 12:08 PM
Majavah added a subscriber: Majavah.May 7 2020, 4:19 AM
Masssly added a subscriber: Masssly.May 7 2020, 3:44 PM
Pharos added a subscriber: Pharos.May 9 2020, 12:41 AM
Bmueller updated the task description. (Show Details)May 9 2020, 2:05 PM
Bmueller closed this task as Resolved.May 9 2020, 4:33 PM
Bmueller updated the task description. (Show Details)
Aklapper updated the task description. (Show Details)May 9 2020, 4:34 PM
Aklapper updated the task description. (Show Details)May 11 2020, 11:28 AM
Aklapper updated the task description. (Show Details)May 11 2020, 10:10 PM
Aklapper updated the task description. (Show Details)